<?php
/**
 * Color picker.
 *
 * @package Cheshalo
 */

if ( ! defined( 'CHESHALO_THEME_DIR' ) ) {
	exit( 'No direct script access allowed' );
}

if ( ! function_exists( 'cheshalo_get_colorpicker_param' ) ) {
	/**
	 * Color picker.
	 *
	 * @param array  $settings Settings.
	 * @param string $value    Value.
	 *
	 * @return string
	 */
	function cheshalo_get_colorpicker_param( $settings, $value ) {
		ob_start();
		?>
		<div class="cheshalo-vc-colorpicker" id="<?php echo esc_attr( uniqid() ); ?>">
			<input name="color" class="cheshalo-vc-colorpicker-input" type="text">
			<input type="hidden" class="cheshalo-vc-colorpicker-value wpb_vc_param_value" name="<?php echo esc_attr( $settings['param_name'] ); ?>" data-css_args="<?php echo esc_attr( wp_json_encode( $settings['css_args'] ) ); ?>" value="<?php echo esc_attr( $value ); ?>">
		</div>
		<?php
		return ob_get_clean();
	}
}
