<?php if ( ! defined( 'CHESHALO_THEME_DIR' ) ) {
	exit( 'No direct script access allowed' );}
/**
* ------------------------------------------------------------------------------------------------
* Images gallery element map
* ------------------------------------------------------------------------------------------------
*/

if ( ! function_exists( 'cheshalo_get_vc_map_gallery' ) ) {
	function cheshalo_get_vc_map_gallery() {
		return array(
			'name'        => esc_html__( 'Images gallery', 'cheshalo' ),
			'base'        => 'cheshalo_gallery',
			'class'       => '',
			'category'    => function_exists( 'cheshalo_get_tab_title_category_for_wpb' ) ? cheshalo_get_tab_title_category_for_wpb( esc_html__( 'Theme elements', 'cheshalo' ) ) : esc_html__( 'Theme elements', 'cheshalo' ),
			'description' => esc_html__( 'Images grid/carousel', 'cheshalo' ),
			'icon'        => CHESHALO_ASSETS . '/images/vc-icon/images-gallery.svg',
			'params'      => array(
				array(
					'param_name' => 'cheshalo_css_id',
					'type'       => 'cheshalo_css_id',
				),
				/**
				 * Images
				 */
				array(
					'type'       => 'cheshalo_title_divider',
					'holder'     => 'div',
					'title'      => esc_html__( 'Images', 'cheshalo' ),
					'param_name' => 'images_divider',
				),
				array(
					'type'             => 'attach_images',
					'heading'          => esc_html__( 'Images', 'cheshalo' ),
					'param_name'       => 'images',
					'value'            => '',
					'hint'             => esc_html__( 'Select images from media library.', 'cheshalo' ),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type'             => 'textfield',
					'heading'          => esc_html__( 'Image size', 'cheshalo' ),
					'param_name'       => 'img_size',
					'hint'             => esc_html__( 'Enter image size. Example: \'thumbnail\', \'medium\', \'large\', \'full\' or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use \'thumbnail\' size.', 'cheshalo' ),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
					'description'      => esc_html__( 'Example: \'thumbnail\', \'medium\', \'large\', \'full\' or enter image size in pixels: \'200x100\'.', 'cheshalo' ),
				),
				array(
					'heading'       => esc_html__( 'Rounding', 'cheshalo' ),
					'type'          => 'wd_select',
					'param_name'    => 'rounding_size',
					'style'         => 'select',
					'selectors'     => array(
						'{{WRAPPER}}' => array(
							'--wd-brd-radius: {{VALUE}}px;',
						),
					),
					'devices'       => array(
						'desktop' => array(
							'value' => '',
						),
					),
					'value'         => array(
						esc_html__( 'Inherit', 'cheshalo' ) => '',
						esc_html__( '0', 'cheshalo' )      => '0',
						esc_html__( '5', 'cheshalo' )      => '5',
						esc_html__( '8', 'cheshalo' )      => '8',
						esc_html__( '12', 'cheshalo' )     => '12',
						esc_html__( 'Custom', 'cheshalo' ) => 'custom',
					),
					'generate_zero' => true,
				),
				array(
					'heading'       => esc_html__( 'Custom rounding', 'cheshalo' ),
					'type'          => 'wd_slider',
					'param_name'    => 'custom_rounding_size',
					'selectors'     => array(
						'{{WRAPPER}}' => array(
							'--wd-brd-radius: {{VALUE}}{{UNIT}};',
						),
					),
					'devices'       => array(
						'desktop' => array(
							'value' => '',
							'unit'  => 'px',
						),
					),
					'range'         => array(
						'px' => array(
							'min'  => 0,
							'max'  => 300,
							'step' => 1,
						),
						'%'  => array(
							'min'  => 0,
							'max'  => 100,
							'step' => 1,
						),
					),
					'dependency'    => array(
						'element' => 'rounding_size',
						'value'   => function_exists( 'cheshalo_compress' ) ? cheshalo_compress(
							wp_json_encode(
								array(
									'devices' => array(
										'desktop' => array(
											'value' => 'custom',
										),
									),
								)
							)
						) : '',
					),
					'generate_zero' => true,
				),
				/**
				 * Layout
				 */
				array(
					'type'       => 'cheshalo_title_divider',
					'holder'     => 'div',
					'title'      => esc_html__( 'Layout', 'cheshalo' ),
					'param_name' => 'layout_divider',
				),
				array(
					'type'        => 'dropdown',
					'heading'     => esc_html__( 'View', 'cheshalo' ),
					'param_name'  => 'view',
					'save_always' => true,
					'value'       => array(
						esc_html__( 'Default grid', 'cheshalo' ) => 'grid',
						esc_html__( 'Masonry grid', 'cheshalo' ) => 'masonry',
						esc_html__( 'Carousel', 'cheshalo' ) => 'carousel',
						esc_html__( 'Justified gallery', 'cheshalo' ) => 'justified',
					),
				),
				array(
					'type'             => 'cheshalo_button_set',
					'heading'          => esc_html__( 'Space between images', 'cheshalo' ),
					'param_name'       => 'spacing_tabs',
					'tabs'             => true,
					'value'            => array(
						esc_html__( 'Desktop', 'cheshalo' ) => 'desktop',
						esc_html__( 'Tablet', 'cheshalo' ) => 'tablet',
						esc_html__( 'Mobile', 'cheshalo' ) => 'mobile',
					),
					'dependency'       => array(
						'element'            => 'view',
						'value_not_equal_to' => array( 'justified' ),
					),
					'default'          => 'desktop',
					'edit_field_class' => 'wd-res-control wd-custom-width vc_col-sm-12 vc_column',
				),
				array(
					'type'             => 'dropdown',
					'param_name'       => 'spacing',
					'value'            => array(
						0,
						2,
						6,
						10,
						20,
						30,
					),
					'dependency'       => array(
						'element'            => 'view',
						'value_not_equal_to' => array( 'justified' ),
					),
					'wd_dependency'    => array(
						'element' => 'spacing_tabs',
						'value'   => array( 'desktop' ),
					),
					'edit_field_class' => 'wd-res-item vc_col-sm-12 vc_column',
				),
				array(
					'type'             => 'dropdown',
					'param_name'       => 'spacing_tablet',
					'value'            => array(
						esc_html__( 'Inherit', 'cheshalo' ) => '',
						'0'  => '0',
						'2'  => '2',
						'6'  => '6',
						'10' => '10',
						'20' => '20',
						'30' => '30',
					),
					'std'              => '',
					'dependency'       => array(
						'element'            => 'view',
						'value_not_equal_to' => array( 'justified' ),
					),
					'wd_dependency'    => array(
						'element' => 'spacing_tabs',
						'value'   => array( 'tablet' ),
					),
					'edit_field_class' => 'wd-res-item vc_col-sm-12 vc_column',
				),
				array(
					'type'             => 'dropdown',
					'param_name'       => 'spacing_mobile',
					'value'            => array(
						esc_html__( 'Inherit', 'cheshalo' ) => '',
						'0'  => '0',
						'2'  => '2',
						'6'  => '6',
						'10' => '10',
						'20' => '20',
						'30' => '30',
					),
					'std'              => '',
					'dependency'       => array(
						'element'            => 'view',
						'value_not_equal_to' => array( 'justified' ),
					),
					'wd_dependency'    => array(
						'element' => 'spacing_tabs',
						'value'   => array( 'mobile' ),
					),
					'edit_field_class' => 'wd-res-item vc_col-sm-12 vc_column',
				),
				array(
					'type'             => 'cheshalo_button_set',
					'heading'          => esc_html__( 'Columns', 'cheshalo' ),
					'hint'             => esc_html__( 'Number of columns in the grid.', 'cheshalo' ),
					'param_name'       => 'columns_tabs',
					'tabs'             => true,
					'value'            => array(
						esc_html__( 'Desktop', 'cheshalo' ) => 'desktop',
						esc_html__( 'Tablet', 'cheshalo' ) => 'tablet',
						esc_html__( 'Mobile', 'cheshalo' ) => 'mobile',
					),
					'dependency'       => array(
						'element' => 'view',
						'value'   => array( 'grid', 'masonry' ),
					),
					'default'          => 'desktop',
					'edit_field_class' => 'wd-res-control wd-custom-width vc_col-sm-12 vc_column',
				),
				array(
					'type'             => 'dropdown',
					'param_name'       => 'columns',
					'value'            => array(
						'1' => '1',
						'2' => '2',
						'3' => '3',
						'4' => '4',
						'5' => '5',
						'6' => '6',
					),
					'std'              => '3',
					'dependency'       => array(
						'element' => 'view',
						'value'   => array( 'grid', 'masonry' ),
					),
					'wd_dependency'    => array(
						'element' => 'columns_tabs',
						'value'   => array( 'desktop' ),
					),
					'edit_field_class' => 'wd-res-item vc_col-sm-12 vc_column',
				),
				array(
					'type'             => 'dropdown',
					'param_name'       => 'columns_tablet',
					'value'            => array(
						esc_html__( 'Auto', 'cheshalo' ) => 'auto',
						'1'                              => '1',
						'2'                              => '2',
						'3'                              => '3',
						'4'                              => '4',
						'5'                              => '5',
						'6'                              => '6',
					),
					'std'              => 'auto',
					'dependency'       => array(
						'element' => 'view',
						'value'   => array( 'grid', 'masonry' ),
					),
					'wd_dependency'    => array(
						'element' => 'columns_tabs',
						'value'   => array( 'tablet' ),
					),
					'edit_field_class' => 'wd-res-item vc_col-sm-12 vc_column',
				),
				array(
					'type'             => 'dropdown',
					'param_name'       => 'columns_mobile',
					'value'            => array(
						esc_html__( 'Auto', 'cheshalo' ) => 'auto',
						'1'                              => '1',
						'2'                              => '2',
						'3'                              => '3',
						'4'                              => '4',
						'5'                              => '5',
						'6'                              => '6',
					),
					'std'              => 'auto',
					'dependency'       => array(
						'element' => 'view',
						'value'   => array( 'grid', 'masonry' ),
					),
					'wd_dependency'    => array(
						'element' => 'columns_tabs',
						'value'   => array( 'mobile' ),
					),
					'edit_field_class' => 'wd-res-item vc_col-sm-12 vc_column',
				),
				array(
					'type'       => 'cheshalo_empty_space',
					'param_name' => 'cheshalo_empty_space',
				),
				array(
					'type'             => 'cheshalo_image_select',
					'heading'          => esc_html__( 'Horizontal  align', 'cheshalo' ),
					'param_name'       => 'horizontal_align',
					'value'            => array(
						esc_html__( 'Left', 'cheshalo' )   => 'left',
						esc_html__( 'Center', 'cheshalo' ) => 'center',
						esc_html__( 'Right', 'cheshalo' )  => 'right',
					),
					'images_value'     => array(
						'left'   => CHESHALO_ASSETS_IMAGES . '/settings/content-align/horizontal/left.png',
						'center' => CHESHALO_ASSETS_IMAGES . '/settings/content-align/horizontal/center.png',
						'right'  => CHESHALO_ASSETS_IMAGES . '/settings/content-align/horizontal/right.png',
					),
					'std'              => 'center',
					'wood_tooltip'     => true,
					'edit_field_class' => 'vc_col-sm-6 vc_column content-position',
					'dependency'       => array(
						'element' => 'view',
						'value'   => array( 'grid', 'masonry', 'carousel' ),
					),
				),
				array(
					'type'             => 'cheshalo_image_select',
					'heading'          => esc_html__( 'Vertical align', 'cheshalo' ),
					'param_name'       => 'vertical_align',
					'value'            => array(
						esc_html__( 'Top', 'cheshalo' )    => 'top',
						esc_html__( 'Middle', 'cheshalo' ) => 'middle',
						esc_html__( 'Bottom', 'cheshalo' ) => 'bottom',
					),
					'images_value'     => array(
						'top'    => CHESHALO_ASSETS_IMAGES . '/settings/content-align/vertical/top.png',
						'middle' => CHESHALO_ASSETS_IMAGES . '/settings/content-align/vertical/middle.png',
						'bottom' => CHESHALO_ASSETS_IMAGES . '/settings/content-align/vertical/bottom.png',
					),
					'std'              => 'middle',
					'wood_tooltip'     => true,
					'edit_field_class' => 'vc_col-sm-6 vc_column content-position',
					'dependency'       => array(
						'element' => 'view',
						'value'   => array( 'grid', 'masonry', 'carousel' ),
					),
				),
				/**
				 * Carousel
				 */
				array(
					'type'       => 'cheshalo_title_divider',
					'holder'     => 'div',
					'title'      => esc_html__( 'Carousel', 'cheshalo' ),
					'group'      => esc_html__( 'Carousel', 'cheshalo' ),
					'param_name' => 'carousel_divider',
					'dependency' => array(
						'element' => 'view',
						'value'   => array( 'carousel' ),
					),
				),
				/**
				 * Click action
				 */
				array(
					'type'       => 'cheshalo_title_divider',
					'holder'     => 'div',
					'title'      => esc_html__( 'Click action', 'cheshalo' ),
					'param_name' => 'click_divider',
				),
				array(
					'type'             => 'dropdown',
					'heading'          => esc_html__( 'On click action', 'cheshalo' ),
					'param_name'       => 'on_click',
					'value'            => array(
						esc_html__( 'Lightbox', 'cheshalo' ) => 'lightbox',
						esc_html__( 'Custom link', 'cheshalo' ) => 'links',
						esc_html__( 'None', 'cheshalo' ) => 'none',
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type'             => 'cheshalo_switch',
					'heading'          => esc_html__( 'Open in new tab', 'cheshalo' ),
					'param_name'       => 'target_blank',
					'true_state'       => 1,
					'false_state'      => 0,
					'default'          => 0,
					'dependency'       => array(
						'element' => 'on_click',
						'value'   => array( 'links' ),
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type'             => 'cheshalo_switch',
					'heading'          => esc_html__( 'Images captions', 'cheshalo' ),
					'hint'             => esc_html__( 'Display images captions below the images when you open them in lightbox. Captions are based on titles of your photos and can be edited in Dashboard -> Media.', 'cheshalo' ),
					'param_name'       => 'caption',
					'true_state'       => 1,
					'false_state'      => 0,
					'default'          => 0,
					'dependency'       => array(
						'element' => 'on_click',
						'value'   => array( 'lightbox' ),
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type'       => 'exploded_textarea_safe',
					'heading'    => esc_html__( 'Custom links', 'cheshalo' ),
					'param_name' => 'custom_links',
					'hint'       => esc_html__( 'Enter links for each slide (Note: divide links with linebreaks (Enter)).', 'cheshalo' ),
					'dependency' => array(
						'element' => 'on_click',
						'value'   => array( 'links' ),
					),
				),
				/**
				 * Extra
				 */
				array(
					'type'       => 'cheshalo_title_divider',
					'holder'     => 'div',
					'title'      => esc_html__( 'Extra options', 'cheshalo' ),
					'param_name' => 'extra_divider',
				),
				array(
					'type'             => 'cheshalo_switch',
					'heading'          => esc_html__( 'Lazy loading for images', 'cheshalo' ),
					'hint'             => esc_html__( 'Enable lazy loading for images for this element.', 'cheshalo' ),
					'param_name'       => 'lazy_loading',
					'true_state'       => 'yes',
					'false_state'      => 'no',
					'default'          => 'no',
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				( function_exists( 'vc_map_add_css_animation' ) ) ? vc_map_add_css_animation( true ) : '',

				function_exists( 'cheshalo_get_vc_animation_map' ) ? cheshalo_get_vc_animation_map( 'wd_animation' ) : '',
				function_exists( 'cheshalo_get_vc_animation_map' ) ? cheshalo_get_vc_animation_map( 'wd_animation_delay' ) : '',
				function_exists( 'cheshalo_get_vc_animation_map' ) ? cheshalo_get_vc_animation_map( 'wd_animation_duration' ) : '',

				array(
					'type'       => 'textfield',
					'heading'    => esc_html__( 'Extra class name', 'cheshalo' ),
					'param_name' => 'el_class',
					'hint'       => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'cheshalo' ),
				),
				array(
					'type'       => 'css_editor',
					'heading'    => esc_html__( 'CSS box', 'cheshalo' ),
					'param_name' => 'css',
					'group'      => esc_html__( 'Design Options', 'js_composer' ),
				),
				function_exists( 'cheshalo_get_vc_responsive_spacing_map' ) ? cheshalo_get_vc_responsive_spacing_map() : '',

				// Width option (with dependency Columns option, responsive).
				cheshalo_get_responsive_dependency_width_map( 'responsive_tabs' ),
				cheshalo_get_responsive_dependency_width_map( 'width_desktop' ),
				cheshalo_get_responsive_dependency_width_map( 'custom_width_desktop' ),
				cheshalo_get_responsive_dependency_width_map( 'width_tablet' ),
				cheshalo_get_responsive_dependency_width_map( 'custom_width_tablet' ),
				cheshalo_get_responsive_dependency_width_map( 'width_mobile' ),
				cheshalo_get_responsive_dependency_width_map( 'custom_width_mobile' ),
			),
		);
	}
}
