<?php if ( ! defined( 'CHESHALO_THEME_DIR' ) ) exit( 'No direct script access allowed' );
/**
* ------------------------------------------------------------------------------------------------
*  Video poster map
* ------------------------------------------------------------------------------------------------
*/

if( ! function_exists( 'cheshalo_add_field_to_video' ) ) { 
	function cheshalo_add_field_to_video() {

	    $vc_video_new_params = array(
		    array(
			    'param_name' => 'cheshalo_css_id',
			    'type'       => 'cheshalo_css_id',
			    'group'      => esc_html__( 'Advanced', 'cheshalo' ),
		    ),
	        array(
				'type' => 'cheshalo_switch',
				'heading' => esc_html__( 'Add poster to video', 'cheshalo' ),
				'param_name' => 'image_poster_switch',
				'group' => esc_html__( 'Advanced', 'cheshalo' ),
				'true_state' => 'yes',
				'false_state' => 'no',
				'default' => 'no',
			),
	        array(
	            'type' => 'attach_image',
				'heading' => esc_html__( 'Image', 'cheshalo' ),
				'param_name' => 'poster_image',
				'value' => '',
				'hint' => esc_html__( 'Select image from media library.', 'cheshalo' ),
	            'group' => esc_html__( 'Advanced', 'cheshalo' ),
				'dependency' => array(
					'element' => 'image_poster_switch',
					'value' => array( 'yes' ),
				),
				'edit_field_class' => 'vc_col-sm-6 vc_column',
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Image size', 'cheshalo' ),
				'group' => esc_html__( 'Advanced', 'cheshalo' ),
				'param_name' => 'img_size',
				'hint' => esc_html__( 'Enter image size. Example: \'thumbnail\', \'medium\', \'large\', \'full\' or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use \'thumbnail\' size.', 'cheshalo' ),
				'dependency' => array(
					'element' => 'image_poster_switch',
					'value' => array( 'yes' ),
				),
				'edit_field_class' => 'vc_col-sm-6 vc_column',
				'description' => esc_html__( 'Example: \'thumbnail\', \'medium\', \'large\', \'full\' or enter image size in pixels: \'200x100\'.', 'cheshalo' ),
			),
		    array(
			    'type'             => 'wd_slider',
			    'param_name'       => 'play_icon_size',
			    'heading'          => esc_html__( 'Play icon size', 'cheshalo' ),
			    'group'            => esc_html__( 'Advanced', 'cheshalo' ),
			    'devices'          => array(
				    'desktop' => array(
					    'unit' => 'px',
				    ),
				    'tablet'  => array(
					    'unit' => 'px',
				    ),
				    'mobile'  => array(
					    'unit' => 'px',
				    ),
			    ),
			    'range'            => array(
				    'px' => array(
					    'min'  => 10,
					    'max'  => 300,
					    'step' => 1,
				    ),
			    ),
			    'selectors'        => array(
				    '{{WRAPPER}} .button-play' => array(
					    'font-size: {{VALUE}}{{UNIT}};',
				    ),
			    ),
			    'dependency'       => array(
				    'element' => 'image_poster_switch',
				    'value'   => array( 'yes' ),
			    ),
		    ),
	     
	    );
	     
	    vc_add_params( 'vc_video', $vc_video_new_params ); 
	}      
	add_action( 'vc_after_init', 'cheshalo_add_field_to_video' ); 
}

// **********************************************************************//
//  Function return vc_video with image mask.
// **********************************************************************//
if( ! function_exists( 'cheshalo_add_video_poster' ) ) {
	function cheshalo_add_video_poster( $output, $obj, $attr ) {
		if ( isset( $attr['image_poster_switch'] ) && $attr['image_poster_switch'] === 'yes' && isset( $attr['poster_image'] ) ) {
			cheshalo_enqueue_js_script( 'video-poster-element' );

			$attr = wp_parse_args(
				$attr,
				array(
					'cheshalo_css_id' => uniqid(),
					'img_size'        => 'full',
				),
			);

			$id         = 'wd-rs-' . $attr['cheshalo_css_id'];
			$image_id   = $attr['poster_image'];
			$image_size = $attr['img_size'];
			$image      = cheshalo_otf_get_image_url( $image_id, $image_size );

			$output = preg_replace_callback('/wpb_video_wrapper.*?>/',
				function ( $matches ) use( $image, $id ) {
					ob_start();
					?>
						<div id="<?php echo esc_attr( $id ); ?>" class="wd-video-poster-wrapper">
							<div class="wd-video-poster" style="background-image:url(<?php echo esc_url( $image ) ?>)"></div>
							<div class="button-play"></div>
						</div>
					<?php
					return $matches[0] .  ob_get_clean();
				}, $output );
		}
		return $output;
	}
}

add_filter( 'vc_shortcode_output', 'cheshalo_add_video_poster', 10, 3 );
