<?php
/**
 * View map.
 *
 * @package Cheshalo
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Direct access not allowed.
}

if ( ! function_exists( 'cheshalo_get_vc_map_shop_archive_view' ) ) {
	/**
	 * View map.
	 */
	function cheshalo_get_vc_map_shop_archive_view() {
		return array(
			'base'        => 'cheshalo_shop_archive_view',
			'name'        => esc_html__( 'Products view', 'cheshalo' ),
			'category'    => cheshalo_get_tab_title_category_for_wpb( esc_html__( 'Products archive', 'cheshalo' ), 'shop_archive' ),
			'description' => esc_html__( 'Product columns switcher', 'cheshalo' ),
			'icon'        => CHESHALO_ASSETS . '/images/vc-icon/sa-icons/sa-product-view.svg',
			'params'      => array(
				array(
					'type'       => 'cheshalo_css_id',
					'param_name' => 'cheshalo_css_id',
				),

				array(
					'heading'          => esc_html__( 'Products columns', 'cheshalo' ),
					'type'             => 'wd_select',
					'param_name'       => 'products_columns_variations',
					'style'            => 'select2',
					'multiple'         => true,
					'selectors'        => array(),
					'devices'          => array(
						'desktop' => array(
							'value' => array( 2, 3, 4 ),
						),
					),
					'value'            => array(
						esc_html__( '2', 'cheshalo' ) => '2',
						esc_html__( '3', 'cheshalo' ) => '3',
						esc_html__( '4', 'cheshalo' ) => '4',
						esc_html__( '5', 'cheshalo' ) => '5',
						esc_html__( '6', 'cheshalo' ) => '6',
						esc_html__( 'List', 'cheshalo' ) => 'list',
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),

				array(
					'heading'    => esc_html__( 'CSS box', 'cheshalo' ),
					'group'      => esc_html__( 'Design Options', 'js_composer' ),
					'type'       => 'css_editor',
					'param_name' => 'css',
				),
				cheshalo_get_vc_responsive_spacing_map(),

				/**
				 * Advanced Tab.
				 */
				cheshalo_get_vc_responsive_visible_map( 'responsive_tabs_hide' ),
				cheshalo_get_vc_responsive_visible_map( 'wd_hide_on_desktop' ),
				cheshalo_get_vc_responsive_visible_map( 'wd_hide_on_tablet' ),
				cheshalo_get_vc_responsive_visible_map( 'wd_hide_on_mobile' ),

				// Width option (with dependency Columns option, responsive).
				cheshalo_get_responsive_dependency_width_map( 'responsive_tabs' ),
				cheshalo_get_responsive_dependency_width_map( 'width_desktop' ),
				cheshalo_get_responsive_dependency_width_map( 'custom_width_desktop' ),
				cheshalo_get_responsive_dependency_width_map( 'width_tablet' ),
				cheshalo_get_responsive_dependency_width_map( 'custom_width_tablet' ),
				cheshalo_get_responsive_dependency_width_map( 'width_mobile' ),
				cheshalo_get_responsive_dependency_width_map( 'custom_width_mobile' ),
			),
		);
	}
}
